#efine pkg_version %(echo %version | tr . _ )
Name:          java3ds-fileloader
Version:       1.2
Release:       %mkrel 2
Summary:       Java3D 3DS File Loader
Group:         Development/Java
License:       LGPL
Url:           http://www.microcrowd.com/
# cvs -d:pserver:anonymous@java3dsloader.cvs.sourceforge.net:/cvsroot/java3dsloader login
# cvs -z3 -d:pserver:anonymous@java3dsloader.cvs.sourceforge.net:/cvsroot/java3dsloader co -P loader
Source0:       Loader3DS-1.2-src-cvs.tar.gz
Source1:       java3ds-fileloader-1.2-buildxml
Patch0:        java3ds-fileloader-1.2u.patch
BuildRequires: ant
BuildRequires: java3d
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: vecmath
Requires:      jpackage-utils
BuildArch:     noarch
Obsoletes:     loader3ds
Provides:      loader3ds
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
File loaders perform the job of taking a file or stream and turning
that into a Java 3D scene graph that you can use in your application.
It's a multi-platform, highly functional 3DS file loader. It works on
platforms supporting JDK1.4 and Java 3D. Main supported features are:
* Hierarchical Animation
* Cameras
* Point Lights
* Directional Lights
* Textures
* Smooth Groups
3DS file format is generated by 3D-Studio by Autodesk Ltd.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Obsoletes:     loader3ds-javadoc
Provides:      loader3ds-javadoc

%description javadoc
Java3D 3DS File Loader.

This package contains javadoc for %{name}.

%prep
%setup -q -n loader

rm -rf models samplemodels $(find . -name "CVS") $(find . -name "*.jar")
%patch0 -p0

(
  cd import/java3d/
  ln -sf $(build-classpath java3d/j3dcore) j3dcore.jar
  ln -sf $(build-classpath java3d/j3dutils) j3dutils.jar
  ln -sf $(build-classpath vecmath) vecmath.jar
)

cp -pr %{SOURCE1} build.xml


%build

ant -Dimport.dir=%{_javadir} jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 export/deploy/java3ds-fileloader.jar %{buildroot}%{_javadir}/java3ds-fileloader-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/java3ds-fileloader-%{version}
cp -pr export/build/apidocs/* %{buildroot}%{_javadocdir}/java3ds-fileloader-%{version}
ln -sf java3ds-fileloader-%{version}  %{buildroot}%{_javadocdir}/java3ds-fileloader

%files
%{_javadir}/java3ds-fileloader-%{version}.jar
%{_javadir}/java3ds-fileloader.jar
%doc todo.txt

%files javadoc
%{_javadocdir}/java3ds-fileloader-%{version}
%{_javadocdir}/java3ds-fileloader



%changelog
* Tue Nov 19 2013 joequant <joequant> 1.2-2.mga4
+ Revision: 551871
- add path for vecmath
- fix buildpath link
- add build requires vecmath
- restore java3d and java3ds. Build against new vecmath

  + dmorgan <dmorgan>
    - Package is retired, does not build against current java stack

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 354812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 13 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 132905
- Clean spec file

  + gil <gil>
    - imported package java3ds-fileloader

